### Class

# WPEWebKit NavigationPolicyDecision

since: 2.0

#### Description [src]

    final class WPEWebKit.NavigationPolicyDecision : WPEWebKit.PolicyDecision
    {
      /* No available fields */
    }

A policy decision for navigation actions.

WebKitNavigationPolicyDecision represents a policy decision for events associated with navigations. If the value of `WebKitNavigationPolicyDecision:mouse-button` is not 0, then the navigation was triggered by a mouse event.

Available since: 2.0

#### Ancestors

- WebKitPolicyDecision
- GObject

#### Instance methods

###### webkit_navigation_policy_decision_get_navigation_action

Gets the value of the `WebKitNavigationPolicyDecision:navigation-action` property.

since: 2.6

##### Methods inherited from WebKitPolicyDecision (4)

###### webkit_policy_decision_download

Spawn a download from this decision.

since: 2.0

###### webkit_policy_decision_ignore

`WebKitResponsePolicyDecision`, this would cancel the request.

since: 2.0

###### webkit_policy_decision_use

Accept the action which triggered this decision.

since: 2.0

###### webkit_policy_decision_use_with_policies

Accept the navigation action and continue with provided `policies`.

since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WPEWebKit.NavigationPolicyDecision:navigation-action

The `WebKitNavigationAction` that triggered this policy decision.

since: 2.6

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WPEWebKitNavigationPolicyDecisionClass {
      WebKitPolicyDecisionClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitPolicyDecisionClass`
  No description available.